Subject: [Catalina-22] [GENERAL] -- Silly little things . . . locks

From: "Chip Ford" <[email-masked]>
Date: Fri, 11 May 2007 11:37:18 -0400

Silly little things we forget.
 
It just got darker here suddenly.  I turned on NOAA weather, a thunderstorm
is approaching, about over us.
 
I went out to "Chip Ahoy" and closed it up:
<http://chipford.com/forward_hatch.htm> forward hatch (I love it!) and
companionway.  I've been airing out the boat all week.  When on a whim I
tested the cabin hatch lock, it wouldn't budge.
 
I sprayed it with "PB Blaster" to clean it out then let it sit for a few
minutes.  Still it would only budge with pressure, much.  I soaked it with
3-in-1 oil and worked it in and out for a while.  It's now working
seamlessly, like new.  I'll have to hit the cockpit hatch locks next.
 
Silly little things we don't think about . . .
 
Chip Ford --
Marblehead, Mass.
1974 Swing Keel "Chip Ahoy" #3282
CTY032820374
Chip Ahoy website:  www.chipford.com